name: Copy Files to Samba Share
on:
  push:
    branches:
      - main

jobs:
  copy_files:
    name: Copy Files
    runs-on: ubuntu-latest
    steps:
      - name: Checkout code
        uses: actions/checkout@v2

      - name: Install smbclient
        run: |
          apt-get update
          apt-get install -y smbclient

      - name: Install dependencies
        run: |
          npm ci

      - name: Build application
        run: |
          npm run build -- --configuration production --base-href /sinia/

      - name: Copy
        run: |
          smbclient //192.168.129.250/arne -U "${{ secrets.SAMBA_USER }}" "${{ secrets.SAMBA_PASSWORD }}" -c "cd \"letsencrypt/config/www/sinia\"; lcd \"dist/sinia/\"; prompt; recurse; mput *"


